# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-bunch
%define fedora 19
%if 0%{?fedora} <= 12
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%global srcname bunch

Name:           python-module-bunch
Version:        1.0.1
Release:        alt1_4
Summary:        Python dictionary with attribute-style access

Group:          Development/Python
License:        MIT
URL:            http://github.com/dsc/bunch
Source0:        http://pypi.python.org/packages/source/b/bunch/bunch-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  dos2unix
BuildRequires: python-module-setuptools
BuildRequires: python-module-nose
Source44: import.info

%description
python-bunch provides a python class which can perform as a dict whose keys are
also accessible as attributes, similar to JavaScript objects.  For instance::

  >>> import bunch
  >>> people = bunch.Bunch({'alice': 'here', 'bob': 'there'})
  >>> print people['alice'], people.alice
  here here

The piece of python-bunch that sets it apart from similar modules found inside
other projects is the bunchify() function which recursively converts from
a dict to a Bunch::

  >>> multi_level = {'array': ['scalar', {'mapping': 'to show recursion'} ]}
  >>> bunch.bunchify(multi_level)
  Bunch(array=['scalar', Bunch(mapping='to show recursion')])

%prep
%setup -q -n %{srcname}-%{version}
dos2unix LICENSE.txt README.rst

%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}
rm %{buildroot}%{python_sitelibdir_noarch}/bunch/test.*

%check
PYTHONPATH=build/lib nosetests --with-doctest
PYTHONPATH=build/lib python build/lib/bunch/test.py

%files
%doc LICENSE.txt README.rst
%{python_sitelibdir_noarch}/*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_4
- update to new release by fcimport

* Wed Aug 22 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_3
- update to new release by fcimport

* Mon Jun 11 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_1
- update to new fc release

